<template>
  <nav>
    <h2>{{title}}</h2>
    <li v-for="(link, index) in links" :key="index">
      <a :href="link.url">{{link.label}}</a>
    </li>
  </nav>
</template>

<script>
/**
 * Ce component va servir à afficher un petit menu de navigation. Pour
 * le rendre plus flexible et réutilisable, on fait en sorte de récupérer
 * la liste des liens depuis l'extérieur du component. 
 * De cette manière, on pourra réutiliser le même component à plusieurs
 * endroit mais avec des liens différents selon l'emplacement.
 */
export default {
    /**
     * Pour ce faire, on utilise des props. Les props c'est un peu comme
     * les arguments d'une fonction mais pour les components. Cela se
     * traduira par un attribut sur la balise du component en question 
     * dont la valeur devra être fourni par le component parent y faisant
     * appel.
     * Les props doivent avoir un nom et éventuellement un type. On 
     * peut également leur donner une valeur par défaut.
     */
  props: {
    title: String,
    links: Array
  }
};
</script>

<style>
</style>
